
QGIS Application - Bug report #1430

Xorg crash loading a big GRASS vector map

2008-11-26 11:26 PM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11490

Description

LOading a pretty big GRASS vector map makes QGIS crash:

Xorgr2965: segfault at 7fff6d027ba8 ip 4eaadd sp 7fff6d027bb0 error 6 in Xorg[400000+1bf000]

The map is in a latlong/WGS84 location. Details:

$ v.info -tg neg_patch_poly_bnd_area

north=90

south=-90

east=180

west=-180

top=0.000000

bottom=0.000000

nodes=361038

points=0

lines=0

boundaries=180535

centroids=180514

areas=180514

islands=180503

faces=0

kernels=0

primitives=361049

map3d=0

Debian testing amd64, QGIS SVN trunk r9705.

I'll try to get a backtrace and post it here.

History

#1 - 2009-03-28 03:09 PM - Paolo Cavallini

See also #1017 (may be a duplicate)

#2 - 2009-04-11 01:30 AM - Paolo Cavallini
Can you provide the GRASS location for testing? Thanks.

#3 - 2009-04-20 11:46 PM - Paolo Cavallini

- Resolution set to worksforme

- Status changed from Open to Closed

According to our new bug policy, I'm closing this, pending feedback from the user. In case it is still valid, please reopen it. Sorry for the additional trouble.

#4 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted
